Browse Source

openafs-client: Use PPA for Xenial ARM64

Xenial ARM64 doesn't have openafs-client built; we have 1.8.5 built in
our PPA.  Leave our production Xenial x86_64 systems with the inbuilt
1.6 client until we've thought about AFS server upgrades.

Change-Id: I7dad812a714133ffe54d4ecc1978f09abb39eb72
changes/55/735055/5
Ian Wienand 4 weeks ago
parent
commit
c6d537f565
1 changed files with 9 additions and 4 deletions
  1. +9
    -4
      roles/openafs-client/tasks/openafs-client/Debian.yaml

+ 9
- 4
roles/openafs-client/tasks/openafs-client/Debian.yaml View File

@@ -1,10 +1,15 @@
# Bionic and Focal versions both shipped unstable ~pre versions
# of openafs clients; we thus have stable versions in a PPA.
# https://bugs.launchpad.net/ubuntu/+source/openafs/+bug/1832690
# Bionic and Focal versions both shipped unstable ~pre versions of
# openafs clients; we thus have stable versions in a PPA. We use this
# everywhere but our legacy Xenial x86 hosts (Debian stable has 1.8
# inbuilt so we are good there).
# https://bugs.launchpad.net/ubuntu/+source/openafs/+bug/1832690
- name: Install openstackci openafs PPA
apt_repository:
repo: 'ppa:openstack-ci-core/openafs'
when: ansible_distribution_version is version('18.04', '>=')
when:
- ansible_distribution == 'Ubuntu' and not
( ansible_distribution_version is version('16.04', '==') and
ansible_architecture == 'x86_64' )
become: yes

- name: Install kernel headers dependency


Loading…
Cancel
Save